<ngx-loading [show]="indicatorProgressFinalIsLoadingUpdate$ | async" />

<div [ngClass]="[jds.card, jds.mb(20)]">
  <div [ngClass]="[jds.cardHeader]">
    <h5 [ngClass]="[jds.cardTitle]">Pratinjau Indikator</h5>
  </div>

  <ng-container *ngIf="isLoadingRead$ | async">
    <div [ngClass]="[jds.cardBody, jds.p(24)]">
      <div
        class="wrapper-skeleton"
        *ngFor="let line of [70, 10, 30, 20]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: line + '%',
            'border-radius': '0',
            height: '20px',
            'margin-bottom': '10px'
          }"
        />
      </div>
    </div>
  </ng-container>

  <ng-container *ngIf="(isLoadingRead$ | async) === false">
    <ng-container *ngIf="data$ | async as row">
      <div [ngClass]="[jds.cardBody, jds.p(24)]">
        <ng-container *ngIf="indicatorProgressInitialIsLoadingList$ | async">
          <div
            class="wrapper-skeleton"
            *ngFor="let line of [20, 10]"
          >
            <ngx-skeleton-loader
              [theme]="{
                width: line + '%',
                'border-radius': '0',
                height: '20px',
                'margin-bottom': '10px'
              }"
            />
          </div>
        </ng-container>

        <ng-container
          *ngIf="(indicatorProgressInitialIsLoadingList$ | async) === false"
        >
          <div [ngClass]="[jds.d('flex'), jds.mb(32)]">
            <div
              *ngFor="let rowPI of indicatorProgressInitialData$ | async"
              [ngClass]="[jds.card, jds.me(16)]"
              [style.width.px]="220"
            >
              <div [ngClass]="[jds.cardBody]">
                <div [ngClass]="[className.label]">
                  Kondisi awal {{ rowPI.year }}
                </div>
                <div [ngClass]="[className.description]">
                  {{ rowPI.capaian }}
                </div>
              </div>
            </div>
            <div
              [ngClass]="[jds.card, jds.me(16)]"
              [style.width.px]="220"
            >
              <div [ngClass]="[jds.cardBody]">
                <div
                  [ngClass]="[
                    className.label,
                    jds.d('flex'),
                    jds.alignItems('center')
                  ]"
                >
                  Kondisi akhir
                  <span
                    [ngClass]="[jds.ms(8)]"
                    [popperPlacement]="'top'"
                    [popperTrigger]="'hover'"
                    popper="Nilai capaian pada kondisi akhir diperoleh dari nilai capaian tahun yang sedang berlangsung."
                  >
                    <jds-bi-icon
                      [ngClass]="jds.text('info')"
                      [size]="14"
                      name="circle-info"
                    />
                  </span>
                </div>
                <div [ngClass]="[className.description]">
                  {{ lastAchievement }}
                </div>
              </div>
            </div>
          </div>
        </ng-container>

        <table
          [ngClass]="[jds.table, jds.tableSm, jds.tableBordered]"
          role="table"
          aria-label="Indikator"
          aria-describedby="Table Indikator"
        >
          <thead [style.backgroundColor]="'#f5f5f5'">
            <tr>
              <th scope="col">Tahun</th>
              <th scope="col">Target</th>
              <th scope="col">Capaian</th>
              <th scope="col">Status</th>
              <th
                *ngIf="
                  satudataUser.role_name === 'walidata' ||
                  (satudataUser.role_name === 'opd' &&
                    satudataUser.kode_skpd === row.kode_skpd)
                "
                [ngClass]="jds.textAlign('center')"
                [style.width.%]="15"
                scope="col"
              >
                Aksi
              </th>
            </tr>
          </thead>
          <tbody>
            <ng-container *ngIf="indicatorProgressFinalIsLoadingList$ | async">
              <tr *ngFor="let line1 of [0, 1, 2, 3, 4]">
                <td *ngFor="let line2 of [0, 1, 2, 3, 4]">
                  <div class="wrapper-skeleton">
                    <ngx-skeleton-loader
                      [theme]="{
                        width: '100%',
                        'border-radius': '0',
                        height: '18px',
                        'margin-top': '10px',
                        'margin-bottom': '0px'
                      }"
                    />
                  </div>
                </td>
              </tr>
            </ng-container>
            <ng-container
              *ngIf="(indicatorProgressFinalIsLoadingList$ | async) === false"
            >
              <tr *ngFor="let rowPF of indicatorProgressFinalData">
                <td>
                  {{ rowPF.year }}
                </td>
                <td>
                  {{ rowPF.target }}
                </td>
                <td>
                  {{ rowPF.capaian }}
                </td>
                <td>
                  {{ rowPF.is_final ? 'Final' : 'Belum Final' }}
                </td>
                <td
                  *ngIf="
                    satudataUser.role_name === 'walidata' ||
                    (satudataUser.role_name === 'opd' &&
                      satudataUser.kode_skpd === row.kode_skpd)
                  "
                  [ngClass]="jds.textAlign('center')"
                >
                  <div [ngClass]="className.action">
                    <span>&nbsp;</span>

                    <span
                      [ngClass]="jds.me(20)"
                      [popperPlacement]="'top'"
                      [popperTrigger]="'hover'"
                      popper="Tambah Capaian"
                    >
                      <svg
                        [ngClass]="[
                          jds.d('block'),
                          rowPF.capaian === '' || rowPF.capaian === null
                            ? className.add
                            : '',
                          rowPF.capaian !== null || row.is_final === true
                            ? className.disabled
                            : ''
                        ]"
                        (click)="addAchievement(rowPF)"
                        width="18"
                        height="18"
                        viewBox="0 0 18 18"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M8.1 8.1V4.5H9.9V8.1H13.5V9.9H9.9V13.5H8.1V9.9H4.5V8.1H8.1ZM9 18C4.0293 18 0 13.9707 0 9C0 4.0293 4.0293 0 9 0C13.9707 0 18 4.0293 18 9C18 13.9707 13.9707 18 9 18ZM9 16.2C10.9096 16.2 12.7409 15.4414 14.0912 14.0912C15.4414 12.7409 16.2 10.9096 16.2 9C16.2 7.09044 15.4414 5.25909 14.0912 3.90883C12.7409 2.55857 10.9096 1.8 9 1.8C7.09044 1.8 5.25909 2.55857 3.90883 3.90883C2.55857 5.25909 1.8 7.09044 1.8 9C1.8 10.9096 2.55857 12.7409 3.90883 14.0912C5.25909 15.4414 7.09044 16.2 9 16.2Z"
                        />
                      </svg>
                    </span>

                    <span
                      [ngClass]="jds.me(20)"
                      [popperPlacement]="'top'"
                      [popperTrigger]="'hover'"
                      popper="Ubah Capaian"
                    >
                      <svg
                        [ngClass]="[
                          jds.d('block'),
                          !rowPF.is_final ? className.edit : '',
                          rowPF.capaian === '' ||
                          rowPF.capaian === null ||
                          rowPF.is_final
                            ? className.disabled
                            : ''
                        ]"
                        (click)="editAchievement(rowPF)"
                        width="16"
                        height="16"
                        viewBox="0 0 16 16"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M1.77778 14.1963H3.03467L11.3138 5.91714L10.0569 4.66025L1.77778 12.9394V14.1963ZM16 15.974H0V12.2025L11.9422 0.260255C12.1089 0.0936138 12.335 0 12.5707 0C12.8064 0 13.0324 0.0936138 13.1991 0.260255L15.7138 2.77492C15.8804 2.94161 15.974 3.16766 15.974 3.40337C15.974 3.63907 15.8804 3.86512 15.7138 4.03181L5.54933 14.1963H16V15.974ZM11.3138 3.40337L12.5707 4.66025L13.8276 3.40337L12.5707 2.14648L11.3138 3.40337Z"
                        />
                      </svg>
                    </span>

                    <span
                      [popperPlacement]="'top'"
                      [popperTrigger]="'hover'"
                      popper="Finalisasi"
                    >
                      <svg
                        [ngClass]="[
                          jds.d('block'),
                          !rowPF.is_final ? className.final : '',
                          rowPF.capaian === '' ||
                          rowPF.capaian === null ||
                          rowPF.is_final
                            ? className.disabled
                            : ''
                        ]"
                        (click)="finalization(rowPF)"
                        width="18"
                        height="18"
                        viewBox="0 0 18 18"
                        xmlns="http://www.w3.org/2000/svg"
                      >
                        <path
                          d="M9 18C4.0293 18 0 13.9707 0 9C0 4.0293 4.0293 0 9 0C13.9707 0 18 4.0293 18 9C18 13.9707 13.9707 18 9 18ZM9 16.2C10.9096 16.2 12.7409 15.4414 14.0912 14.0912C15.4414 12.7409 16.2 10.9096 16.2 9C16.2 7.09044 15.4414 5.25909 14.0912 3.90883C12.7409 2.55857 10.9096 1.8 9 1.8C7.09044 1.8 5.25909 2.55857 3.90883 3.90883C2.55857 5.25909 1.8 7.09044 1.8 9C1.8 10.9096 2.55857 12.7409 3.90883 14.0912C5.25909 15.4414 7.09044 16.2 9 16.2ZM8.1027 12.6L4.284 8.7813L5.5566 7.5087L8.1027 10.0548L13.1931 4.9635L14.4666 6.2361L8.1027 12.6Z"
                        />
                      </svg>
                    </span>

                    <span>&nbsp;</span>
                  </div>
                </td>
              </tr>
            </ng-container>
          </tbody>
        </table>
      </div>
    </ng-container>
  </ng-container>
</div>

<!-- Modal Indicator Progress -->
<app-modal-indicator-progress />
